Contenu | Rechercher | Menus

Annonce

La nouvelle clé USB Ubuntu-fr est en prévente
Rendez-vous sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 28/08/2018, à 12:45

pvd57

Steam avec ubuntu 18.04 - 64 bits - Résolu

Bonjour,

Sans doute une question répétée, mais je ne trouve pas MA solution dans la documentation.
J'essaye vainement d'installer steam et voici le dialogue du terminal :

pavic@pavic-six:~$ sudo apt install steam
[sudo] Mot de passe de pavic : 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Le paquet suivant a été installé automatiquement et n'est plus nécessaire :
  python-apt
Veuillez utiliser « sudo apt autoremove » pour le supprimer.
Les paquets supplémentaires suivants seront installés : 
  libxss1:i386
Paquets suggérés :
  steam-devices:i386
Paquets recommandés :
  nvidia-driver-libs-i386:i386
Les NOUVEAUX paquets suivants seront installés :
  libxss1:i386 steam:i386
0 mis à jour, 2 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 8.566 o/1.320 ko dans les archives.
Après cette opération, 4.163 ko d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] O
Réception de:1 http://be.archive.ubuntu.com/ubuntu bionic/main i386 libxss1 i386 1:1.2.2-1 [8.566 B]
8.566 o réceptionnés en 0s (32,7 ko/s)   
Préconfiguration des paquets...
Sélection du paquet libxss1:i386 précédemment désélectionné.
(Lecture de la base de données... 229862 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../libxss1_1%3a1.2.2-1_i386.deb ...
Dépaquetage de libxss1:i386 (1:1.2.2-1) ...
Sélection du paquet steam:i386 précédemment désélectionné.
Préparation du dépaquetage de .../steam_1%3a1.0.0.54+repack-5ubuntu1_i386.deb ...
Dépaquetage de steam:i386 (1:1.0.0.54+repack-5ubuntu1) ...
Traitement des actions différées (« triggers ») pour mime-support (3.60ubuntu1) ...
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.23-1ubuntu3.18.04.1) ...
Paramétrage de libxss1:i386 (1:1.2.2-1) ...
Paramétrage de steam:i386 (1:1.0.0.54+repack-5ubuntu1) ...
Traitement des actions différées (« triggers ») pour man-db (2.8.3-2ubuntu0.1) ...
Traitement des actions différées (« triggers ») pour gnome-menus (3.13.3-11ubuntu1.1) ...
Traitement des actions différées (« triggers ») pour hicolor-icon-theme (0.17-2) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.27-3ubuntu1) ...
pavic@pavic-six:~$ "steam"
tar: Ceci ne ressemble pas à une archive de type « tar »
xz : (stdin): Format de fichier inconnu
tar: Child returned status 1
tar: Error is not recoverable: exiting now
find: ‘/home/pavic/.steam/ubuntu12_32/steam-runtime’: Aucun fichier ou dossier de ce type
pavic@pavic-six:~$ apt-cache policy steam*
steamcmd:
  Installé : (aucun)
  Candidat : (aucun)
 Table de version :
steam-installer:
  Installé : (aucun)
  Candidat : 1.0.0.54+repack-5ubuntu1
 Table de version :
     1.0.0.54+repack-5ubuntu1 500
        500 http://be.archive.ubuntu.com/ubuntu bionic/multiverse amd64 Packages
        500 http://be.archive.ubuntu.com/ubuntu bionic/multiverse i386 Packages
steam:
  Installé : (aucun)
  Candidat : (aucun)
 Table de version :
steam-devices:
  Installé : (aucun)
  Candidat : 1:1.0.0.54+repack-5ubuntu1
 Table de version :
     1:1.0.0.54+repack-5ubuntu1 500
        500 http://be.archive.ubuntu.com/ubuntu bionic/multiverse amd64 Packages
        500 http://be.archive.ubuntu.com/ubuntu bionic/multiverse i386 Packages
pavic@pavic-six:~$ 
pavic@pavic-six:~$ steam
tar: Ceci ne ressemble pas à une archive de type « tar »
xz : (stdin): Format de fichier inconnu
tar: Child returned status 1
tar: Error is not recoverable: exiting now
find: ‘/home/pavic/.steam/ubuntu12_32/steam-runtime’: Aucun fichier ou dossier de ce type

Il existe vraisemblablement une solution pour installer steam sans problème. Pouvez-vous m'aider?
Bien à vous.
PVD

Dernière modification par pvd57 (Le 11/09/2018, à 14:25)

Hors ligne

#2 Le 28/08/2018, à 13:57

sergei_ruskof

Re : Steam avec ubuntu 18.04 - 64 bits - Résolu

Bonjour,

Purge steam puis installe le de nouveau avec ces deux commandes:

sudo apt-get remove --purge steam:i386 steam
sudo apt-get install --reinstall steam

Si tu as installé steam depuis les dépots officiels d'ubuntu ça devrait résoudre ton problème.

Hors ligne

#3 Le 28/08/2018, à 15:48

nam1962

Re : Steam avec ubuntu 18.04 - 64 bits - Résolu

Voilà typiquement le genre de paquet qui convient à flatpak ! --> https://doc.ubuntu-fr.org/flatpak

sudo apt install flatpak
sudo apt install gnome-software-plugin-flatpak
flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo

Puis

flatpak install flathub com.valvesoftware.Steam 

Au passage pour les gamers, , via flatpak on peut aussi accéder à winepak

flatpak remote-add --if-not-exists winepak https://dl.winepak.org/repo/winepak.flatpakrepo

ce qui donne déjà accès à :

~]$ flatpak remote-ls winepak
Ref                                     
com.blizzard.BattleNet.BaseApp          
com.blizzard.Overwatch                  
com.blizzard.StarCraft2                 
com.blizzard.WoW                        
com.leagueoflegends.Client              
com.oskarstalberg.Planet                
com.pathofexile.Client                  
com.worldoftanks.Client
(...)   

Pour les mises à jour flatpak, penser à une fois par semaine :

flatpak update

Bien sûr il faut virer le steam installé comme indiqué par sergei_ruskof


Almanet doLys de l'open source : mon tuto pour optimiser / finaliser une install
Xubuntu devel - Manjaro unstable - OpenSUSE tumbleweed (GeckoLinux) -Debian Testing - Et vous ?
57 convertis  IRL (n'ont pas eu le choix...).
Un jeune site que j'aime bien, le top du T-shirt homme ...bio et éthique en plus : https://goudronblanc.com

Hors ligne

#4 Le 11/09/2018, à 14:24

pvd57

Re : Steam avec ubuntu 18.04 - 64 bits - Résolu

Super! Merci à vous deux
PVD

Hors ligne